
#ifndef bmp2bzw_h
#define bmp2bzw_h


typedef struct {
  int x, y;
  int sx, sy, sz;
} box_t;


/*
 * 1.  You have to free the boxes after using this call.
 * 2.  Returns 0 if conversion succeeded
 * 3.  Expects a global function get_debug ()  {0 to 9}
 *
 * Arguments:
 *
 *   filename:  input BMP filename
 *   boxes:     an array of boxes
 *   count:     the number of boxes in the above array
 *   levels:    number of output levels
 *   invert:    invert the color polarity (0 or 1)
 */
extern int bmp2bzw (const char *filename, box_t ** boxes, int *count,
                    int *width, int *height, int levels, int invert);


#endif                          /* bmp2bzw_h */
